umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLRolePropertiesBase Class Reference

`#include <umlroleproperties.h>`

Inheritance diagram for UMLRolePropertiesBase:

## Public Member Functions
| UMLRolePropertiesBase (QWidget *parent)
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()
Public Member Functions inherited from Ui_UMLRolePropertiesBase
void | setupUi (QWidget *UMLRolePropertiesBase)
void | retranslateUi (QWidget *UMLRolePropertiesBase)

## Additional Inherited Members
Public Attributes inherited from Ui_UMLRolePropertiesBase
QVBoxLayout * | vboxLayout
QGroupBox * | ui_propsGroupBox
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QLabel * | ui_labelRoleName
KLineEdit * | ui_pRoleLE
QLabel * | ui_labelMultiplicity
KLineEdit * | ui_pMultiLE
QGroupBox * | ui_visibilityButtonGroup
QHBoxLayout * | hboxLayout
QRadioButton * | ui_pPublicRB
QRadioButton * | ui_pPrivateRB
QRadioButton * | ui_pProtectedRB
QRadioButton * | ui_pImplementationRB
QGroupBox * | ui_changeabilityButtonGroup
QHBoxLayout * | hboxLayout1
QRadioButton * | ui_pChangeableRB
QRadioButton * | ui_pFrozenRB
QRadioButton * | ui_pAddOnlyRB
QGroupBox * | ui_groupBoxDocumentation
QVBoxLayout * | vboxLayout1
KTextEdit * | ui_pDocTE
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Constructor & Destructor Documentation

## ◆ UMLRolePropertiesBase()

UMLRolePropertiesBase::UMLRolePropertiesBase | ( | QWidget * | parent | ) |
| inline explicit

The documentation for this class was generated from the following file:

- umbrello/dialogs/pages/umlroleproperties.h